from pyxll import xl_plot_bridge, PlotBridgeBase

# To display a plot of type 'folium.folium.Map' we need a custom bridge
# that handles exporting the map to an html file
@xl_plot_bridge("folium.folium.Map")
class FoliumBridge(PlotBridgeBase):

    def __init__(self, map):
        self.__map = map

    # PyXLL can use various different formats, but we are only interested in html
    def can_export(self, format):
        return format == "html"

    # PyXLL will call this to export the map object as an html file
    def export(self, width, height, dpi, format, filename, **kwargs):
        self.__map.save(filename)
