from pyxll import xl_func, plot
import folium
import pandas as pd


@xl_func
def plot_choropleth(data: pd.DataFrame,
                                 countries_column: str,
                                 values_column: str):

    political_countries_url = (
        "http://geojson.xyz/naturalearth-3.3.0/ne_50m_admin_0_countries.geojson"
    )

    m = folium.Map(location=(30, 10), zoom_start=1, tiles="cartodb positron")
    folium.GeoJson(political_countries_url).add_to(m)

    folium.Choropleth(
        geo_data=political_countries_url,
        data=data,
        columns=[countries_column, values_column],
        key_on="feature.properties.name",
        fill_color="RdYlGn_r",
        fill_opacity=0.8,
        line_opacity=0.3,
        nan_fill_color="white"
    ).add_to(m)

    plot(m)

    return m
